Skip to main content
GET
/
party-invitations
List party invitations
curl --request GET \
  --url https://api.natural.co/party-invitations \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "type": "invitation",
      "id": "inv_019cd4a832f37c4b8a1d63e94b7c8d12",
      "attributes": {
        "email": "engineer@velocitylogistics.com",
        "role": "MEMBER",
        "status": "PENDING",
        "expires_at": "2026-01-11T15:30:00Z",
        "created_at": "2026-01-04T15:30:00Z",
        "accepted_at": null
      }
    }
  ],
  "meta": {
    "pagination": {
      "has_more": false,
      "next_cursor": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Agent session/conversation ID for observability.

Maximum string length: 1024

Query Parameters

party_id
string | null

Filter by party

email
string | null

Filter by email

status
string | null

Filter by status

Response

Successful Response

List invitation response: {data: [...], meta: {...}}.

data
InvitationResource · object[]
required

List of resources

meta
ResponseMeta · object

Response metadata